package com.hongyegroup.cpt_ewallet.ui

import android.os.Bundle
import com.guadou.cs_cptservices.base.activity.YYBaseVDBActivity
import com.guadou.lib_baselib.bean.DataBindingConfig
import com.guadou.lib_baselib.ext.commContext
import com.guadou.lib_baselib.ext.gotoActivity
import com.hongyegroup.cpt_ewallet.BR
import com.hongyegroup.cpt_ewallet.R
import com.hongyegroup.cpt_ewallet.databinding.ActivityAppointmentEnquiryDetailBinding
import com.hongyegroup.cpt_ewallet.mvvm.AppointmentEnquiryDetailViewModel

/**
 * 提现预约的反馈页面
 */
class AppointmentEnquiryDetailActivity : YYBaseVDBActivity<AppointmentEnquiryDetailViewModel, ActivityAppointmentEnquiryDetailBinding>() {

    companion object {
        fun startInstance() {
            commContext().gotoActivity<AppointmentEnquiryDetailActivity>()
        }
    }

    override fun getDataBindingConfig(): DataBindingConfig {
        return DataBindingConfig(R.layout.activity_appointment_enquiry_detail, BR.viewModel, mViewModel)
            .addBindingParams(BR.click, ClickProxy())
    }

    override fun init(savedInstanceState: Bundle?) {

    }

    override fun startObserve() {

    }

    /**
     * DataBinding事件处理
     */
    inner class ClickProxy {

    }

}